qpid::framing::FragmentProperties Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::FragmentProperties Class Reference

`#include <qpid/framing/FragmentProperties.h>`

List of all members.

## Public Member Functions
| FragmentProperties (bool _first, bool _last, uint64_t _fragmentSize)
| FragmentProperties ()
void | setFirst (bool _first)
bool | getFirst () const
void | setLast (bool _last)
bool | getLast () const
void | setFragmentSize (uint64_t _fragmentSize)
uint64_t | getFragmentSize () const
bool | hasFragmentSize () const
void | clearFragmentSizeFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1026
## Friends
std::ostream & | operator<< (std::ostream &, const FragmentProperties &)

## Constructor & Destructor Documentation

qpid::framing::FragmentProperties::FragmentProperties | ( | bool | _first,
|  | bool | _last,
|  | uint64_t | _fragmentSize
| ) |  | `[inline]`

Definition at line 43 of file FragmentProperties.h.

qpid::framing::FragmentProperties::FragmentProperties | ( |  | ) | `[inline]`

Definition at line 53 of file FragmentProperties.h.

## Member Function Documentation

uint32_t qpid::framing::FragmentProperties::bodySize | ( |  | ) | const

void qpid::framing::FragmentProperties::clearFragmentSizeFlag | ( |  | ) |

void qpid::framing::FragmentProperties::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::FragmentProperties::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::FragmentProperties::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::FragmentProperties::encodedSize | ( |  | ) | const

void qpid::framing::FragmentProperties::encodeStructBody | ( | Buffer & |  | ) | const

bool qpid::framing::FragmentProperties::getFirst | ( |  | ) | const

uint64_t qpid::framing::FragmentProperties::getFragmentSize | ( |  | ) | const

bool qpid::framing::FragmentProperties::getLast | ( |  | ) | const

bool qpid::framing::FragmentProperties::hasFragmentSize | ( |  | ) | const

void qpid::framing::FragmentProperties::print | ( | std::ostream & | out | ) | const

void qpid::framing::FragmentProperties::setFirst | ( | bool | _first | ) |

void qpid::framing::FragmentProperties::setFragmentSize | ( | uint64_t | _fragmentSize | ) |

void qpid::framing::FragmentProperties::setLast | ( | bool | _last | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const FragmentProperties & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::FragmentProperties::TYPE = 1026`[static]`

Definition at line 42 of file FragmentProperties.h.

The documentation for this class was generated from the following file:

- qpid/framing/FragmentProperties.h